import 'package:krow/core/data/models/event/addon_model.dart';
import 'package:krow/core/data/models/event/business_member_model.dart';
import 'package:krow/core/data/models/event/hub_model.dart';
import 'package:krow/core/data/models/event/tag_model.dart';
import 'package:krow/core/data/models/shift/business_skill_model.dart';
import 'package:krow/core/data/models/shift/department_model.dart';

abstract class CreateEventRepository {
  Future<List<HubModel>> getHubs();

  Future<List<AddonModel>> getAddons();

  Future<List<TagModel>> getTags();

  Future<List<BusinessMemberModel>> getContacts();

  Future<List<BusinessSkillModel>> getSkills();

  Future<List<DepartmentModel>> getDepartments(String hubId);
}
